Update a time entry Run in API Explorer
Ask AI
Body
-
The type of the model that is being tracked.. Valid types are: client, board_task, case, circle, firm, task
Values are
client,board_task,case,circle,firm, ortask. -
The UUID of the model that is being tracked
-
The name of the time entry.
-
The description of the time entry.
-
The start time of the time entry.
-
The end time of the time entry.
-
The length of the time entry, can be used instead of dates.
PUT
/api/v1/time-entry/{uuid}
curl \
--request PUT 'https://api.plannrcrm.com/api/v1/time-entry/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{
"trackable_type": "client",
"trackable_uuid": "565b5a76-4ec9-4b61-bfa7-ff70df0e2be6",
"name": "Research",
"description": "Research for the client",
"start_date": "2026-10-03",
"end_date": "2026-11-17",
"total_time_in_minutes": 200
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"trackable_type": "client",
"trackable_uuid": "565b5a76-4ec9-4b61-bfa7-ff70df0e2be6",
"name": "Research",
"description": "Research for the client",
"start_date": "2026-10-03",
"end_date": "2026-11-17",
"total_time_in_minutes": 200
}
Response examples (200)
{
"uuid": "b8817810-4174-4b2b-bf7c-60bcd5e3e2c0",
"created_at": "2026-11-17T20:47:10+00:00",
"updated_at": "2026-11-17T20:47:10+00:00",
"name": "Research",
"description": "This is a description.",
"trackable_type": "Client",
"trackable": {
"uuid": "3d4e47a3-8dc3-40e0-a918-3e23bee8bf61",
"created_at": "2026-11-17T20:47:10+00:00",
"updated_at": "2026-11-17T20:47:10+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "9b2c2d5c-703d-42e5-ba6b-b6e86a945a95",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"start_date": "2026-11-17T19:57:10+00:00",
"end_date": "2026-11-17T20:25:10+00:00",
"is_active": true,
"total_time_in_minutes": 28,
"computed_time_elapsed_in_seconds": 1680,
"account": {
"uuid": "0c8caeda-73bc-47cf-a0d1-4ae7bdfbae2b",
"created_at": "2026-11-17T20:47:10+00:00",
"updated_at": "2026-11-17T20:47:10+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "9b2c2d5c-703d-42e5-ba6b-b6e86a945a95",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
}
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}